VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IEditController2 Class Referenceabstract

Edit controller component interface extension: Vst::IEditController2. More...

`#include <ivsteditcontroller.h>`

Inheritance diagram for IEditController2:

## Public Member Functions
virtual tresult | setKnobMode (KnobMode mode)=0
| Host could set the Knob Mode for the plug-in.
virtual tresult | openHelp (TBool onlyCheck)=0
| Host could ask to open the plug-in help (could be: opening a PDF document or link to a web page).
virtual tresult | openAboutBox (TBool onlyCheck)=0
| Host could ask to open the plug-in about box.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Edit controller component interface extension: Vst::IEditController2.

- [plug imp]
- [extends IEditController]
- [released: 3.1.0]
- [optional]

Extension to allow the host to inform the plug-in about the host Knob Mode, and to open the plug-in about box or help documentation.

See Also
  IEditController, EditController

## Member Function Documentation

virtual tresult setKnobMode | ( | KnobMode | mode | ) |
| pure virtual

Host could set the Knob Mode for the plug-in.

Return kResultFalse means not supported mode.

See Also
  KnobModes.

Implemented in EditController.

virtual tresult openHelp | ( | TBool | onlyCheck | ) |
| pure virtual

Host could ask to open the plug-in help (could be: opening a PDF document or link to a web page).

The host could call it with onlyCheck set to true for testing support of open Help. Return kResultFalse means not supported function.

Implemented in EditController.

virtual tresult openAboutBox | ( | TBool | onlyCheck | ) |
| pure virtual

Host could ask to open the plug-in about box.

The host could call it with onlyCheck set to true for testing support of open AboutBox. Return kResultFalse means not supported function.

Implemented in EditController.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.